Skip to content

Domains

POST /domains/

Register a new email domain.

FieldTypeRequiredDescription
namestringYesDomain name (e.g. mycompany.com). Auto-lowercased.
Terminal window
curl -X POST https://api.emboux.com/domains/ \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"name": "mycompany.com"}'
{
"id": 1,
"name": "mycompany.com",
"created_at": "2025-01-15T10:30:00"
}
StatusDetail
400Domain already exists
403Domain quota exceeded

GET /domains/

Returns all domains visible to the authenticated key.

  • Master token: returns all domains
  • Client token: returns only domains belonging to that partner
Terminal window
curl https://api.emboux.com/domains/ \
-H "Authorization: Bearer YOUR_API_KEY"
[
{
"id": 2,
"name": "example.org",
"created_at": "2025-01-16T08:00:00"
},
{
"id": 1,
"name": "mycompany.com",
"created_at": "2025-01-15T10:30:00"
}
]

DELETE /domains/{domain_name}

Permanently removes a domain and all its mailboxes and aliases (cascade delete).

ParameterTypeDescription
domain_namestringThe domain name to delete
Terminal window
curl -X DELETE https://api.emboux.com/domains/mycompany.com \
-H "Authorization: Bearer YOUR_API_KEY"

No response body.

StatusDetail
404Domain not found